---
search:
  tags:
    - servers
    - PATCH
seo:
  description: >-
    Changes the display name of a server. The name cannot be empty.… Reference
    for the PATCH /api/v1/servers/{id} endpoint in the TimescaleDB Enterprise
    API.
sidebar:
  label: Rename a server
  badge: PATCH
title: Rename a server
type: openapi-operation
---
Changes the display name of a server. The name cannot be empty. Other fields of the server do not change.

`PATCH /api/v1/servers/{id}`

**Request body** (`application/json`, required)

- `name` (string)

Request body example:

```json
{
  "name": "string"
}
```

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "cleaning_up": true,
  "cleanup_error": "string",
  "cleanup_kind": "deploy_refusal",
  "cleanup_pending": true,
  "cleanup_since": "string",
  "created_at": "string",
  "database_services": [
    {
      "database_service_id": "string",
      "database_service_name": "string",
      "role": "string"
    }
  ],
  "demo": true,
  "enroll_state": "pending",
  "headscale_node_id": "string",
  "health": {
    "checked_at": "2019-08-24T14:15:22Z",
    "notes": [
      {
        "cause": "unreachable",
        "component": "reachability",
        "message": "string",
        "since": "2019-08-24T14:15:22Z",
        "status": "healthy"
      }
    ],
    "reason": "string",
    "since": "2019-08-24T14:15:22Z",
    "status": "healthy"
  },
  "host": "string",
  "id": "string",
  "in_use": true,
  "livesync_sessions": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "name": "string",
  "overlay_ip": "string",
  "port": 0,
  "reachable": true,
  "rebuild_pending": true,
  "retry_cleanup_refusal": "string",
  "slots": [
    {
      "kind": "database_service",
      "member_name": "string",
      "owner_name": "string"
    }
  ],
  "ssh_user": "string",
  "state": "in_use"
}
```
